#ifndef COLORRENDERER_H
#define COLORRENDERER_H

#include "math/Vector.h"
#include "rendering/VertexBuffer.h"
#include "utils/Color.h"

struct ColorRenderer final {
    struct Vertex {
        Vector2 xy;
        Color4 color;
    };

private:
    VertexBuffer vertexBuffer;

public:
    ColorRenderer();

    void draw(const Vertex& v1, const Vertex& v2, const Vertex& v3);
};

#endif