#ifndef FONTRENDERER_H
#define FONTRENDERER_H

#include "rendering/FileTexture.h"
#include "rendering/VertexBuffer.h"
#include "utils/Array.h"
#include "utils/ArrayList.h"

class FontRenderer final {
    VertexBuffer vertexBuffer;
    Array<FileTexture, 3> tex;
    int activeTex;
    int scale;

public:
    FontRenderer();
    float drawString(float x, float y, const char* text);
    void setSize(int size);
};

#endif